<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8" />
    <title>Company</title>

    <!-- Plugin css for this page -->
    <link rel="stylesheet" th:href="@{assets/vendors/select2/select2.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/select2-bootstrap-theme/select2-bootstrap.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/dropify/dropify.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/bootstrap-datepicker/bootstrap-datepicker.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/jquery-toast-plugin/jquery.toast.min.css}">

    <div th:replace="fragments/side-menu-header :: css-side"></div>

</head>

<body>
    <div class="container-scroller">
        <!-- partial:../../partials/_navbar.html -->
        <nav th:replace="fragments/side-menu-header :: navbar"></nav>
        <!-- partial -->
        <div class="container-fluid page-body-wrapper">
            <!-- partial:../../partials/_sidebar.html -->
            <nav th:replace="fragments/side-menu-menu :: sidebar"></nav>
            <!-- partial -->
            <div class="main-panel">
                <!-- content-wrapper -->
                <div class="content-wrapper">
                    <div class="page-header">
                        <h3 class="page-title"> Company Headquarter </h3>
                        <nav aria-label="breadcrumb">
                          <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="/dashboard">Dashboard</a></li>
                            <li class="breadcrumb-item"><a href="/company-list">Company List</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Headquarter</li>
                          </ol>
                        </nav>
                    </div>
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">Headquarter Add</h4>
                            <hr>
                            <form class="cmxform" id="headquarterForm" method="post" th:action="@{/company-add}" th:object="${headquarterForm}"
                            	enctype="multipart/form-data">
                            	
                            	<!-- <input type="hidden" name="formName" value="headquarterAdd"/> -->
                            	<input type="hidden" id="companyId" th:field="*{id}">
								<input type="hidden" id="companyType" th:field="*{companyType}"/>
								<input type="hidden" id="parentBranch" th:field="*{parentBranch}"/>
								<input type="hidden" id="logoImg" th:field="*{logo}"/>
								<input type="hidden" id="signatureImg" th:field="*{signature}"/>
								
                                <div class="col-lg-4 grid-margin">
                                    <div class="form-group">
                                        <label>Company Logo</label>
                                        <input type="file" class="dropify" data-height="250" id="logo" name="logo" />
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="form-group col-sm-8">
                                        <label>Company Name</label>
                                        <input type="text" class="form-control form-control-sm valid form-control-danger" id="companyName" name="name" th:field="*{name}"/>
                                    </div>
                                    <div class="form-group col-sm-4">
                                        <label>HQ Initial</label>
                                        <input type="text" class="form-control form-control-sm" id="hqInitial" name="hqInitial" th:field="*{hqInitial}"/>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="form-group col-sm-8">
                                        <label for="companyAddress">Company Address</label>
                                        <textarea class="form-control form-control-sm" id="companyAddress" rows="2" name="address" th:field="*{address}"></textarea>
                                    </div>
                                    <div class="form-group col-sm-2">
                                        <label for="postalCode">Postal Code</label>
                                        <input type="text" class="form-control form-control-sm" id="postalCode" name="postalCode" th:field="*{postalCode}"/>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="form-group col-md-5">
                                        <label>Province</label>
                                        <select class="js-example-basic-single" style="width:100%" id="province" th:field="*{province}">
                                            <option value="1">Aceh</option>
                                            <option value="2">Sumatera Barat</option>
                                            <option value="3">Sumatera Selatan</option>
                                            <option value="4">Kalimantan Tengah</option>
                                            <option value="5">Kalimantan Timur</option>
                                            <option value="6">Kalimantan Selatan</option>
                                            <option value="7">Jawa Barat</option>
                                            <option value="8">Jawa Tengah</option>
                                            <option value="9">Jawa Timur</option>
                                            <option value="10">Papua Timur</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-5">
                                        <label>City</label>
                                        <select class="js-example-basic-single" style="width:100%" id="city" th:field="*{city}">
                                            <option value="1">Bogor</option>
                                            <option value="2">Malang</option>
                                            <option value="3">Solo</option>
                                            <option value="4">Banyuwangi</option>
                                            <option value="5">Depok</option>
                                            <option value="6">Bandung</option>
                                            <option value="7">Garut</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="umr">UMR</label>
                                        <input type="text" class="form-control form-control-sm" id="umr" name="umr" th:field="*{umr}">
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="form-group col-sm-4">
                                        <label for="phoneNumber">Company Phone Number</label>
                                        <input type="text" class="form-control form-control-sm" id="phoneNumber" name="phone" th:field="*{phone}">
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="form-group col-sm-7">
                                        <label for="email">Email</label>
                                        <input type="email" class="form-control form-control-sm" id="email" name="email" th:field="*{email}">
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="form-group col-sm-4">
                                        <label for="bpjsk">BPJS Ketenagakerjaan</label>
                                        <input type="text" class="form-control form-control-sm" id="bpjsTk" name="bpjsTk" th:field="*{bpjsTk}">
                                    </div>
                                    <div class="form-group col-sm-4">
                                        <label>JKK</label>
                                        <select class="js-example-basic-single" style="width:100%" id="jkk" name="jkk" th:field="*{jkk}">
                                            <option value="AL">1 - 0.24%</option>
                                            <option value="AL">2 - 0.54%</option>
                                            <option value="AL">3 - 0.89%</option>
                                            <option value="AL">4 - 1.27%</option>
                                            <option value="AL">5 - 1.74%</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="form-group col-sm-4">
                                        <label for="companyNPWP">Company NPWP</label>
                                        <input type="text" class="form-control form-control-sm" id="companyNPWP" name="npwp" th:field="*{npwp}">
                                    </div>
                                    
                                    <div class="form-group col-sm-4">
                                        <label>Company Taxable Date</label>
                                        <div style="margin-top: -5px; height: 25px;" id="datepicker-popup" class="form-group input-group date datepicker">
                                            <span class="input-group-addon input-group-append border-left">
                                                <span class="fa fa-calendar input-group-text"></span>
                                            </span>
                                            <input type="text" class="form-control form-control-sm" id="companyTaxableDate" name="taxableDate" th:field="*{taxableDate}">
                                        </div>
                                        <label for="companyTaxableDate" class="validation_error_message mt-2 text-danger companyTaxableDate" style="margin-left: 5px;"></label>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="form-group col-sm-4">
                                        <label for="taxPersonName">Tax Person Name</label>
                                        <input type="text" class="form-control form-control-sm" id="taxPersonName" name="taxPerson" th:field="*{taxPerson}">
                                    </div>
                                    <div class="form-group col-sm-4">
                                        <label for="taxPersonNPWP">Tax Person NPWP</label>
                                        <input type="text" class="form-control form-control-sm" id="taxPersonNPWP" name="taxPersonNpwp" th:field="*{taxPersonNpwp}">
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="form-group col-sm-4">
                                        <label for="klu">Kode KLU</label>
                                        <input type="text" class="form-control form-control-sm" id="klu" name="kluCode" th:field="*{kluCode}">
                                        <small style="font-size: 11px;"><a href="#">Click here</a> to learn how your company KLU Code</small>
                                    </div>
                                </div>

                                <div class="col-lg-4 grid-margin">
                                    <div class="form-group">
                                        <label for="signature">Upload your scanned signature with company stamp to be attached on 1721-A1 document</label>
                                        <input type="file" class="dropify" data-height="200" id="signature" name="signature" />
                                    </div>
                                </div>

                                <button type="submit" class="btn btn-primary btn-sm col-sm-2" id="save">Save</button>
                                <!-- <button class="btn btn-light">Cancel</button> -->
                            </form>
                        </div>
                    </div>
                </div>
                <!-- content-wrapper ends -->
                <!-- partial:../../partials/_footer.html -->
                <footer th:replace="fragments/side-menu-footer :: footer"></footer>
                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    
    <div th:replace="fragments/side-menu-footer :: js"></div>

    <!-- plugin js -->
    <!-- <script th:src="@{assets/vendors/select2/select2.min.js}"></script>
    <script th:src="@{assets/js/file-upload.js}"></script> -->
    <!-- customize plugin setting -->
    <!-- <script th:src="@{assets/js/select2.js}"></script> -->
    <!-- End plugin -->

    <!-- Custom js for this page -->
    <script th:src="@{assets/vendors/select2/select2.min.js}"></script>
    <script th:src="@{assets/vendors/typeahead.js/typeahead.bundle.min.js}"></script>
    <script th:src="@{assets/vendors/dropify/dropify.min.js}"></script>
    <script th:src="@{assets/vendors/jquery-file-upload/jquery.uploadfile.min.js}"></script>
    <script th:src="@{assets/vendors/bootstrap-datepicker/bootstrap-datepicker.min.js}"></script>
    <script th:src="@{assets/vendors/jquery-toast-plugin/jquery.toast.min.js}"></script>
    <!-- custom plugin setting -->
    <script th:src="@{assets/js/file-upload.js}"></script>
    <script th:src="@{assets/js/typeahead.js}"></script>
    <script th:src="@{assets/js/select2.js}"></script>
    <script th:src="@{assets/js/dropify.js}"></script>

    <script th:src="@{assets/js/toastDemo.js}"></script>
    <!-- <script th:src="@{assets/js/desktop-notification.js}"></script> -->

    <!-- js validation plugin -->
    <script th:src="@{assets/vendors/jquery-validation/jquery.validate.min.js}"></script>
    <script th:src="@{assets/vendors/bootstrap-maxlength/bootstrap-maxlength.min.js}"></script>
    <script th:src="@{assets/customJs/headquarter.js}"></script>
    <!-- end plugin -->

</body>

</html>